AlgorithmParameterGeneratorSpi (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.asymmetric.gost

## Class AlgorithmParameterGeneratorSpi

- java.lang.Object
- - java.security.AlgorithmParameterGeneratorSpi
  - - org.bouncycastle.jcajce.provider.asymmetric.util.BaseAlgorithmParameterGeneratorSpi
    - - org.bouncycastle.jcajce.provider.asymmetric.gost.AlgorithmParameterGeneratorSpi

-     public abstract class AlgorithmParameterGeneratorSpi
      extends BaseAlgorithmParameterGeneratorSpi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.security.SecureRandom` | `random`
    `protected int` | `strength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlgorithmParameterGeneratorSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.security.AlgorithmParameters` | `engineGenerateParameters()`
    `protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec, java.security.SecureRandom random)`
    `protected void` | `engineInit(int strength, java.security.SecureRandom random)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.asymmetric.util.BaseAlgorithmParameterGeneratorSpi

      `createParametersInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### random

          protected java.security.SecureRandom random

    - #### strength

          protected int strength

  - ### Constructor Detail

    - #### AlgorithmParameterGeneratorSpi

          public AlgorithmParameterGeneratorSpi()

  - ### Method Detail

    - #### engineInit

          protected void engineInit(int strength,
                        java.security.SecureRandom random)

      Specified by:
        `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`

    - #### engineInit

          protected void engineInit(java.security.spec.AlgorithmParameterSpec genParamSpec,
                        java.security.SecureRandom random)
                             throws java.security.InvalidAlgorithmParameterException

      Specified by:
        `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`
      Throws:
        `java.security.InvalidAlgorithmParameterException`

    - #### engineGenerateParameters

          protected java.security.AlgorithmParameters engineGenerateParameters()

      Specified by:
        `engineGenerateParameters` in class `java.security.AlgorithmParameterGeneratorSpi`